#include "KeywordValue.h"
#include <iostream>

namespace jet {

   KeywordValue::KeywordValue(coreutils::ZString data, Global &global, std::map<coreutils::ZString, coreutils::MString> &variables) : MString() {
      while(!data.eod()) {
	 if(data.startsWith("$[") || data.startsWith("#[")) {
	    write(global.getVariable(data, variables));
	 } else {
	    write(data.charAt(0));
	    data.nextChar();
	 }	 
      }
   }

   KeywordValue::~KeywordValue() {}

}
